# springboot-shardingsphere-jdbc
##作者:赵冬冬
#文档地址
    https://shardingsphere.apache.org/document/4.1.1/cn/overview/


#分库分表
    
    减少使用 left join 也无法跨库查询
    
    join无法跨库查询 
    
    避免笛卡尔查询

#公共表
    使用类似于枚举值表
    菜单表，字典表
    所有使用的库和表都要插入公共表和数据并且保证数据一致

#读写分离
    sharding-jdbc 只负责数据的路由不负责数据的同步自己做 mysql的binlog日志
#绑定表
    取消join 产生的笛卡尔集
    例如 order_(逻辑表)order_info_(逻辑表) id分库 user_id 水平分表 使用 user_id 进行关联  
    则需要绑定表 
    spring.shardingsphere.sharding.binding-tables= order_,order_info_

    
