package com.xin.shardingspherejdbcdemo.test;


import com.xin.shardingspherejdbcdemo.ShardingsphereJdbcStudyApplication;
import com.xin.shardingspherejdbcdemo.config.util.SnowFlake;
import com.xin.shardingspherejdbcdemo.entity.Dict;
import com.xin.shardingspherejdbcdemo.mapper.DictMapper;
import com.xin.shardingspherejdbcdemo.service.impl.ExcelServiceImpl;
import com.xin.shardingspherejdbcdemo.utils.EntityUtils;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.IOException;
import java.text.ParseException;
import java.util.Date;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = ShardingsphereJdbcStudyApplication.class)
public class MainTest {


    @Autowired
    ExcelServiceImpl excelService;

    //    @Test
//    public void testBookService() throws IOException {
//
//        wordController.mean();
//
//    }
    @Autowired
    private DictMapper dictMapper;

    @Test
    public void testBookService() throws ParseException, IOException {

        excelService.JxlsOutTest();

    }

    @Test
    public void DictAdd() {
        //insertData(1L,"SUCCESS","成功");
        insertData(2L,"ERROR","失败");
    }

    private void insertData(Long id,String key,String value) {
        Dict dict = new Dict();
        SnowFlake snowFlake = new SnowFlake(2, 3);
        Date now = new Date();
        int year = EntityUtils.dateTostr(now);
        dict.setId(id);
        dict.setTName(value);
        dict.setTKey(key);
        dict.setTValue(value);
        dict.setCreateTime(now);
        dictMapper.insert(dict);
    }

    @Test
    public void DictUpDate() {
        Dict dict = new Dict();
        SnowFlake snowFlake = new SnowFlake(2, 3);
        Date now = new Date();
        int year = EntityUtils.dateTostr(now);
        dict.setId(snowFlake.nextId());
        dict.setTName("成功");
        dict.setTKey("SUCCESS");
        dict.setTValue("成功");
        dict.setCreateTime(now);
        dictMapper.updateById(dict);

    }

    @Test
    public void DictDelete() {
        dictMapper.deleteById(1L);
    }

}
